Loading...
Searching...
No Matches
limiter.cc File Reference

Go to the source code of this file.

## Namespaces

namespace | rheolef
| This file is part of Rheolef.
namespace | rheolef::details

## Macros

#define | _RHEOLEF_instanciation(T, M)

## Functions

template<class T >
T | minmod (const T &a, const T &b)
template<class T >
T | minmod_tvb (const T &yield_a, const T &a, const T &b)
template<class T , class M >
field_basic< T, M > | limiter (const field_basic< T, M > &uh, const T &bar_g_S, const limiter_option &opt)
| see the `limiter` page for the full documentation
| _RHEOLEF_instanciation (Float, sequential) _RHEOLEF_instanciation(Float

## Macro Definition Documentation

## _RHEOLEF_instanciation

#define _RHEOLEF_instanciation | ( |  | T,
|  |  | M
| ) |  |

Value:
template field_basic<T,M> limiter ( \
const field_basic<T,M>&, \
const T&, \
const limiter_option&);
T
Expr1::float_type T
Definition field_expr.h:230

Definition at line 252 of file limiter.cc.